package com.sooka.system.domain;

import java.util.Date;

import com.sooka.common.annotation.Excel;
import com.sooka.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 黑名单信息对象 tgjj_hmdxx
 *
 * @author lei
 * @date 2021-11-16
 */
public class TgjjHmdxx extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long ID;

    /** 不良记录id */
    @Excel(name = "不良记录id")
    private String BLJLID;

    /** 姓名 */
    @Excel(name = "姓名")
    private String XINGMING;

    /** 证件类型 */
    @Excel(name = "证件类型")
    private String ZJLX;

    /** 证件号码 */
    @Excel(name = "证件号码")
    private String ZJHM;

    /** 不良信息分类 */
    @Excel(name = "不良信息分类")
    private String BLXXFL;

    /** 不良信息等级 */
    @Excel(name = "不良信息等级")
    private String BLXXDJ;

    /** 不良信息状态 */
    @Excel(name = "不良信息状态")
    private String BLXXZT;

    /** 生效时间 */
    @Excel(name = "生效时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 失效时间 */
    @Excel(name = "失效时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /** 事由描述 */
    @Excel(name = "事由描述")
    private String SYMS;

    /** 中心编号 */
    @Excel(name = "中心编号")
    private String ZXBH;

    /** 连续逾期期数 */
    @Excel(name = "连续逾期期数")
    private Long LXYQQS;

    /** 最后更新时间戳 */
    @Excel(name = "最后更新时间戳", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lastUpdateTime;

    /** 处理类型（LIST1|插入/2|更新/3|删除/） */
    @Excel(name = "处理类型", readConverterExp = "L=IST1|插入/2|更新/3|删除/")
    private Long CLLX;

    public void setID(Long ID)
    {
        this.ID = ID;
    }

    public Long getID()
    {
        return ID;
    }
    public void setBLJLID(String BLJLID)
    {
        this.BLJLID = BLJLID;
    }

    public String getBLJLID()
    {
        return BLJLID;
    }
    public void setXINGMING(String XINGMING)
    {
        this.XINGMING = XINGMING;
    }

    public String getXINGMING()
    {
        return XINGMING;
    }
    public void setZJLX(String ZJLX)
    {
        this.ZJLX = ZJLX;
    }

    public String getZJLX()
    {
        return ZJLX;
    }
    public void setZJHM(String ZJHM)
    {
        this.ZJHM = ZJHM;
    }

    public String getZJHM()
    {
        return ZJHM;
    }
    public void setBLXXFL(String BLXXFL)
    {
        this.BLXXFL = BLXXFL;
    }

    public String getBLXXFL()
    {
        return BLXXFL;
    }
    public void setBLXXDJ(String BLXXDJ)
    {
        this.BLXXDJ = BLXXDJ;
    }

    public String getBLXXDJ()
    {
        return BLXXDJ;
    }
    public void setBLXXZT(String BLXXZT)
    {
        this.BLXXZT = BLXXZT;
    }

    public String getBLXXZT()
    {
        return BLXXZT;
    }
    public void setStartTime(Date startTime)
    {
        this.startTime = startTime;
    }

    public Date getStartTime()
    {
        return startTime;
    }
    public void setEndTime(Date endTime)
    {
        this.endTime = endTime;
    }

    public Date getEndTime()
    {
        return endTime;
    }
    public void setSYMS(String SYMS)
    {
        this.SYMS = SYMS;
    }

    public String getSYMS()
    {
        return SYMS;
    }
    public void setZXBH(String ZXBH)
    {
        this.ZXBH = ZXBH;
    }

    public String getZXBH()
    {
        return ZXBH;
    }
    public void setLXYQQS(Long LXYQQS)
    {
        this.LXYQQS = LXYQQS;
    }

    public Long getLXYQQS()
    {
        return LXYQQS;
    }
    public void setLastUpdateTime(Date lastUpdateTime)
    {
        this.lastUpdateTime = lastUpdateTime;
    }

    public Date getLastUpdateTime()
    {
        return lastUpdateTime;
    }
    public void setCLLX(Long CLLX)
    {
        this.CLLX = CLLX;
    }

    public Long getCLLX()
    {
        return CLLX;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("ID", getID())
            .append("BLJLID", getBLJLID())
            .append("XINGMING", getXINGMING())
            .append("ZJLX", getZJLX())
            .append("ZJHM", getZJHM())
            .append("BLXXFL", getBLXXFL())
            .append("BLXXDJ", getBLXXDJ())
            .append("BLXXZT", getBLXXZT())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("SYMS", getSYMS())
            .append("ZXBH", getZXBH())
            .append("LXYQQS", getLXYQQS())
            .append("lastUpdateTime", getLastUpdateTime())
            .append("CLLX", getCLLX())
            .toString();
    }
}
